package cerot.blight.btrace;

/**
 * メソッド表現のモデルクラス。
 * @author cero-t
 * 
 */
public abstract class MethodExpression {
	/** 呼び出し時間 */
	private Long timestamp;

	/** 呼び出し先クラス名 */
	private String className;

	/** メソッド名 */
	private String methodName;

	/**
	 * 呼び出し時間を取得します。
	 * @return 呼び出し時間
	 */
	public Long getTimestamp() {
		return timestamp;
	}

	/**
	 * 呼び出し時間を設定します。
	 * @param timestamp 呼び出し時間
	 */
	public void setTimestamp(Long timestamp) {
		this.timestamp = timestamp;
	}

	/**
	 * 呼び出し先クラス名を取得します。
	 * @return 呼び出し先クラス名
	 */
	public String getClassName() {
		return this.className;
	}

	/**
	 * 呼び出し先クラス名を設定します。
	 * @param className 呼び出し先クラス名
	 */
	public void setClassName(String className) {
		this.className = className;
	}

	/**
	 * メソッド名を取得します。
	 * @return メソッド名
	 */
	public String getMethodName() {
		return this.methodName;
	}

	/**
	 * メソッド名を設定します。
	 * @param methodName メソッド名
	 */
	public void setMethodName(String methodName) {
		this.methodName = methodName;
	}
}
